Bug 496 - cannot change unix charset via SWAT
cannot change unix charset via SWAT
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: SWAT
3.0.0preX
All All
: P3 minor
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 21:19 UTC by TAKAHASHI Motonobu
Modified: 2005-08-24 10:25 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2003-09-22 21:19:28 UTC
When we use non-ASCII characters in smb.conf, 
we cannot change 'unix charset' parameter via SWAT
because SWAT does not convert the encoding of non-ASCII
characters, which depends on 'unix charset' in smb.conf.

I think it's good that this issue is a limitation for 
Samba 3.0.0 and will be fixed later.
Comment 1 Björn Jacke 2004-10-01 08:31:38 UTC
unix charset can be changed in (post)3.0.7 swat however there is no conversion
of smb.conf being done. I don't think this is feasible anyway, there would be
also conversion of filenames be needed in case unix cahrset is changed.
Comment 2 Gerald (Jerry) Carter 2005-02-07 09:06:14 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:25:45 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.